aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Guillaume Nodet (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ARIES-1750) Support for ASM 6.x
Date Thu, 19 Oct 2017 20:36:00 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1750?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Guillaume Nodet updated ARIES-1750:
-----------------------------------
    Description: 
Spi-Fly should open its import range for ASM to be able to wire against 6.x versions for Java
9 support.
{code}
karaf@root()> headers org.apache.aries.spifly.dynamic.bundle | grep 'asm;version'
	org.objectweb.asm;version="[5.0,6)",
{code}

  was:Spi-Fly should open its import range for ASM to be able to wire against 6.x versions
for Java 9 support.


> Support for ASM 6.x
> -------------------
>
>                 Key: ARIES-1750
>                 URL: https://issues.apache.org/jira/browse/ARIES-1750
>             Project: Aries
>          Issue Type: Improvement
>          Components: SPI Fly
>            Reporter: Guillaume Nodet
>
> Spi-Fly should open its import range for ASM to be able to wire against 6.x versions
for Java 9 support.
> {code}
> karaf@root()> headers org.apache.aries.spifly.dynamic.bundle | grep 'asm;version'
> 	org.objectweb.asm;version="[5.0,6)",
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message